unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, TeeComma, TeEngine, TeeProcs, Chart;

type
  TForm1 = class(TForm)
    Chart1: TChart;
    TeeCommander1: TTeeCommander;
    RGFibonacci: TRadioGroup;
    procedure FormCreate(Sender: TObject);
    procedure Chart1MouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

uses series, CandleCh, TeeFibonacci;

var Series1: TCandleSeries;
    ChartTool1: TFibonacciTool;

procedure TForm1.FormCreate(Sender: TObject);
begin
  Series1:=Chart1.AddSeries(TCandleSeries.Create(self)) as TCandleSeries;
  ChartTool1:=Chart1.Tools.Add(TFibonacciTool.Create(self)) as TFibonacciTool;

  Chart1.View3D:=false;
  Series1.FillSampleValues(40);
  ChartTool1.Series:=Series1;

  ChartTool1.StartX:=Series1.DateValues[5];
  ChartTool1.StartY:=Series1.CloseValues[5];
  ChartTool1.EndX:=Series1.DateValues[15];
  ChartTool1.EndY:=Series1.CloseValues[15];

  Chart1.AllowZoom:=false;
  RGFibonacci.ItemIndex:=0;
end;

procedure TForm1.Chart1MouseDown(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
var ClickedIndex: Integer;
begin
  ClickedIndex:=Series1.Clicked(X,Y);
  if ClickedIndex <> -1 then
    if RGFibonacci.ItemIndex = 0 then
    begin
      ChartTool1.StartX:=Series1.DateValues[ClickedIndex];
      ChartTool1.StartY:=Series1.CloseValues[ClickedIndex];
    end
    else
    begin
      ChartTool1.EndX:=Series1.DateValues[ClickedIndex];
      ChartTool1.EndY:=Series1.CloseValues[ClickedIndex];
    end;
end;

end.
